package com.gic.auth.utils;

import com.gic.api.base.commons.ServiceResponse;
/**
 * 英文逗号隔开的数据校验
 * @ClassName: ValidSplitUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 10:05 AM 
 */
public class ValidSplitUtils {

    public static ServiceResponse<String[]> validStr(String param) {
        if (!isNumericZidai(param.replaceAll(",", ""))) {
            return ServiceResponse.failure("0005", "数据格式有误，不是英文逗号隔开的数据");
        }
        String[] strArr = param.split(",");
        return ServiceResponse.success(strArr);
    }

    public static boolean isNumericZidai(String str) {
        for (int i = 0; i < str.length(); i++) {
            System.out.println(str.charAt(i));
            if (!Character.isDigit(str.charAt(i))) {
                return false;
            }
        }
        return true;
    }
}
