package com.gic.auth.web.qo;

import com.gic.auth.web.vo.ChannelResourceVO;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/29 10:54
 */
public class ResourceQO implements Serializable {
    private static final long serialVersionUID = -2010270945608110479L;

    public interface SaveValid{}

    /**
     *
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    @NotBlank(message = "资源名不能为空", groups = SaveValid.class)
    private String resourceName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 用户资源
     */
    private Long userResource;

    /**
     * 门店资源
     */
        private Long storeResource;
//    private StoreResouceQO storeResouceJSON;

    /**
     * 商品资源
     */
//    private Long goodsResourceId;
//    private GoodsResouceQO goodsResource;
    private Long goodsResourceId;
    /**
     * 订单资源
     */
    private List<OrderResourceQO> orderResourceJSON;

    private SmsSignResourceQO smsResourceJSON;

    private ChannelResourceVO channelResourceVO;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getUserResource() {
        return userResource;
    }

    public void setUserResource(Long userResource) {
        this.userResource = userResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public void setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
    }

    public List<OrderResourceQO> getOrderResourceJSON() {
        return orderResourceJSON;
    }

    public void setOrderResourceJSON(List<OrderResourceQO> orderResourceJSON) {
        this.orderResourceJSON = orderResourceJSON;
    }

    public SmsSignResourceQO getSmsResourceJSON() {
        return smsResourceJSON;
    }

    public void setSmsResourceJSON(SmsSignResourceQO smsResourceJSON) {
        this.smsResourceJSON = smsResourceJSON;
    }

    public ChannelResourceVO getChannelResourceVO() {
        return channelResourceVO;
    }

    public void setChannelResourceVO(ChannelResourceVO channelResourceVO) {
        this.channelResourceVO = channelResourceVO;
    }
}
