package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 操作日志
 * @ClassName: LogListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/8 2:15 PM 
 */
public class LogListVO implements Serializable{


    private static final long serialVersionUID = -2104494155980859518L;

    private Long logId;
    /**
     * 操作人
     */
    private Long userId;
    private String userName;
    private String nationCode;
    private String phone;
    /**
     * 操作模块
     */
    private String project;
    /**
     * 操作时间
     */
    private Date logTime;
    private String content;
    private Date createTime;

    /**
     *
     */
    private Long relationId;

    private String businessName;
    private String remark1;
    private String remark2;

    public Long getLogId() {
        return logId;
    }

    public LogListVO setLogId(Long logId) {
        this.logId = logId;
        return this;
    }

    public Long getUserId() {
        return userId;
    }

    public LogListVO setUserId(Long userId) {
        this.userId = userId;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public LogListVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getNationCode() {
        return remark1;
    }

    public String getPhone() {
        return remark2;
    }

    public String getProject() {
        return project;
    }

    public LogListVO setProject(String project) {
        this.project = project;
        return this;
    }

    public Date getLogTime() {
        return logTime;
    }

    public LogListVO setLogTime(Date logTime) {
        this.logTime = logTime;
        return this;
    }

    public String getContent() {
        return content;
    }

    public LogListVO setContent(String content) {
        this.content = content;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public LogListVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Long getRelationId() {
        return relationId;
    }

    public LogListVO setRelationId(Long relationId) {
        this.relationId = relationId;
        return this;
    }

    public String getBusinessName() {
        return businessName;
    }

    public LogListVO setBusinessName(String businessName) {
        this.businessName = businessName;
        return this;
    }

    public String getRemark1() {
        return remark1;
    }

    public LogListVO setRemark1(String remark1) {
        this.remark1 = remark1;
        return this;
    }

    public String getRemark2() {
        return remark2;
    }

    public LogListVO setRemark2(String remark2) {
        this.remark2 = remark2;
        return this;
    }
}
