package com.gic.auth.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-24 17:41
 */
public class ResourceVO implements Serializable{
    private static final long serialVersionUID = 7757529718726436352L;
    /**
     *
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     *
     */
    private Integer enterpriseId;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long userResource;

    /**
     * 门店资源
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long storeResource;

    /**
     * 订单资源
     */
    private List<OrderResourceVO> orderResourceJSON;

    private SmsSignResourceVO smsResourceJSON;
    private Integer userResourceCount;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsResourceId;

    private ChannelResourceVO channelResourceJSON;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getUserResource() {
        return userResource;
    }

    public void setUserResource(Long userResource) {
        this.userResource = userResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public List<OrderResourceVO> getOrderResourceJSON() {
        return orderResourceJSON;
    }

    public void setOrderResourceJSON(List<OrderResourceVO> orderResourceJSON) {
        this.orderResourceJSON = orderResourceJSON;
    }

    public SmsSignResourceVO getSmsResourceJSON() {
        return smsResourceJSON;
    }

    public void setSmsResourceJSON(SmsSignResourceVO smsResourceJSON) {
        this.smsResourceJSON = smsResourceJSON;
    }

    public Integer getUserResourceCount() {
        return userResourceCount;
    }

    public void setUserResourceCount(Integer userResourceCount) {
        this.userResourceCount = userResourceCount;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public void setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
    }

    public ChannelResourceVO getChannelResourceJSON() {
        return channelResourceJSON;
    }

    public void setChannelResourceJSON(ChannelResourceVO channelResourceJSON) {
        this.channelResourceJSON = channelResourceJSON;
    }
}
