package com.gic.auth.web.vo;

import java.io.Serializable;
/**
 * 用户详情
 * @ClassName: UserDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 2:58 PM 
 */
public class UserDetailVO implements Serializable{
    private static final long serialVersionUID = -4487059516368072062L;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 是否是超级管理员
     */
    private Integer superAdmin;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    /**
     * 受审组，可以有多个，用英文逗号隔开
     */
    private String userGroupIds;

    /**
     * 用户角色，可以多选，用英文逗号隔开
     */
    private String userRoleIds;
    /**
     * 用户资源组授权，可以多选，用英文逗号隔开
     */
    private String userResourceIds;

    /**
     * 1：自动生成 2：自定义密码
     */
    private Integer passwordType;

    /**
     * 账号分组，可以多选，用英文逗号隔开
     */
    private String accountGroupIds;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Integer getSuperAdmin() {
        return superAdmin;
    }

    public void setSuperAdmin(Integer superAdmin) {
        this.superAdmin = superAdmin;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public String getUserGroupIds() {
        return userGroupIds;
    }

    public void setUserGroupIds(String userGroupIds) {
        this.userGroupIds = userGroupIds;
    }

    public String getUserRoleIds() {
        return userRoleIds;
    }

    public void setUserRoleIds(String userRoleIds) {
        this.userRoleIds = userRoleIds;
    }

    public String getUserResourceIds() {
        return userResourceIds;
    }

    public void setUserResourceIds(String userResourceIds) {
        this.userResourceIds = userResourceIds;
    }

    public Integer getPasswordType() {
        return passwordType;
    }

    public void setPasswordType(Integer passwordType) {
        this.passwordType = passwordType;
    }

    public String getAccountGroupIds() {
        return accountGroupIds;
    }

    public void setAccountGroupIds(String accountGroupIds) {
        this.accountGroupIds = accountGroupIds;
    }
}
