package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UserResourceDTO;
/**
 * 用户资源组关联
 * @ClassName: UserResourceApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 10:58 AM 
 */
public interface UserResourceApiService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> save(UserResourceDTO dto);

    /** @Description: 查询用户的资源id
     * @author taogs
     * @Date 15:30 2019/12/6
     * @Param 
     * @return 
    */
    ServiceResponse<UserResourceDTO> getResourceByUserId(Integer userId);
}
