package com.gic.auth.service;

import com.gic.auth.dto.BusinessFrontResDTO;
import com.gic.auth.entity.TabSysBusinessFrontRes;

import java.util.List;

public interface BusinessFrontResService {
    Integer save(BusinessFrontResDTO dto);

    List<TabSysBusinessFrontRes> listByResourceCode(String resourceCode);

    void edit(BusinessFrontResDTO dto);

    void delete(Integer resourceId);

    List<TabSysBusinessFrontRes> listByParam(String search, Integer resourceType);

    List<TabSysBusinessFrontRes> listGroupResourceCode();

    /**
     * 根据code查询页面
     * @param codeList
     * @param resourceType
     * @return
     */
    List<TabSysBusinessFrontRes> listByCode(List<String> codeList, Integer resourceType);

    TabSysBusinessFrontRes getByResourceId(Integer resourceId);
}
