package com.gic.auth.service;

import com.gic.auth.dto.UnionEnterpriseDTO;
import com.gic.auth.dto.UnionEnterpriseResourceDTO;
import com.gic.auth.entity.TabSysUnionEnterpriseResource;

import java.util.List;

public interface UnionEnterpriseResourceService {
    int saveResource(Integer unionId, Long resourceId, int type, Integer enterpriseId);

    TabSysUnionEnterpriseResource getByUnionIdAndType(Integer unionId, int type);

    int delResource(Integer unionId, Integer enterpriseId);

    int delResource(Long resouceId);

    void updateAuthorizationStatus(int authOrizationStatus, Integer enterpriseId, Integer resourceType,
                                   String authOrizationMessage, String key);

    List<UnionEnterpriseResourceDTO> listResourceByEnterpriseIdAndType(Integer enterpriseId, int type);

    List<TabSysUnionEnterpriseResource> listResourceByUnionId(Integer unionId);

    String getKeyByResourceId(Long resourceId);

    Integer getUnionEnterpriseIdByResouce(Long resourceId);
}
