package com.gic.auth.web.vo;

import java.io.Serializable;
/**
 * 登陆用户拥有的所有操作项
 * @ClassName: UserOperationItemAuthVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/26 11:05 AM 
 */
public class UserOperationItemAuthVO implements Serializable{
    private static final long serialVersionUID = -4102202683416381220L;

    /**
     * 操作项ID
     */
    private Integer menuId;

    /**
     * 名称
     */
    private String menuName;

    /**
     * 项目，应用ID
     */
    private String project;

    /**
     * 接口路径
     */
    private String menuUrl;

    private Integer parentId;

    /**
     * 菜单code，唯一
     */
    private String menuCode;

    private String parentCode;

    public Integer getMenuId() {
        return menuId;
    }

    public UserOperationItemAuthVO setMenuId(Integer menuId) {
        this.menuId = menuId;
        return this;
    }

    public String getMenuName() {
        return menuName;
    }

    public UserOperationItemAuthVO setMenuName(String menuName) {
        this.menuName = menuName;
        return this;
    }

    public String getProject() {
        return project;
    }

    public UserOperationItemAuthVO setProject(String project) {
        this.project = project;
        return this;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public UserOperationItemAuthVO setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
        return this;
    }

    public Integer getParentId() {
        return parentId;
    }

    public UserOperationItemAuthVO setParentId(Integer parentId) {
        this.parentId = parentId;
        return this;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public UserOperationItemAuthVO setMenuCode(String menuCode) {
        this.menuCode = menuCode;
        return this;
    }

    public String getParentCode() {
        return parentCode;
    }

    public UserOperationItemAuthVO setParentCode(String parentCode) {
        this.parentCode = parentCode;
        return this;
    }
}
